Prosíme přihlašte se nebo zaregistrujte.

Přihlašte se svým uživatelským jménem a heslem.

Autor Téma: Audacity přestala fungovat [vyřešeno]  (Přečteno 4415 krát)

roj

  • Člen
  • **
  • Příspěvků: 289
    • Zobrazit profil
    • ipsace i tiskace
Audacity přestala fungovat [vyřešeno]
« kdy: 02 Prosinec 2020, 19:58:31 »
Ahoj. Dlouhá léta používám Audacity ale vždy nárazově.
Teď jsem něco potřeboval upravit a vůbec to nefunguje. To grafické prostředí. Nezobrazuje se běžící prožek se signálem, ukazatel se posouvá jen na tom časovém proužku nad zvukovou stopou a ten se pohybuje jakoby nezávisle na ní. Takže je to nepoužitelné pro jakékoliv editace zvuku. Přitom přehrávání funguje, je slyšet v reprácích.
Zkoušel jsem to Synapticem přeinstalovat, ale jen to vynutilo stahovat nějaké jaderné soubory, nevím, co se tam provádělo.
Navíc to strašně pomalu najíždí, dřív to najelo za 0.5s, teď asi 5 sekund, katastrofa.
Verze audacity 2.3.3. (před i po reinstalaci synapticem). Na webu je už verze 2.4.2, ale nevím, jak ji nainstalovat a jestli to má smysl.
Verze XUBUNTU 20.4.
Přechod z 18.4 na 20.4. přinesl jen problémy, žádný přínos :(
« Poslední změna: 07 Prosinec 2020, 09:49:29 od Petr Merlin Vaněček »
Xubuntu 18.4.

juwa2

  • Závislák
  • ****
  • Příspěvků: 4329
    • Zobrazit profil
Re:Audacity přestala fungovat
« Odpověď #1 kdy: 02 Prosinec 2020, 20:43:34 »
Ahoj. Dlouhá léta používám Audacity ale vždy nárazově.
Teď jsem něco potřeboval upravit a vůbec to nefunguje. To grafické prostředí. Nezobrazuje se běžící prožek se signálem, ukazatel se posouvá jen na tom časovém proužku nad zvukovou stopou a ten se pohybuje jakoby nezávisle na ní. Takže je to nepoužitelné pro jakékoliv editace zvuku. Přitom přehrávání funguje, je slyšet v reprácích.
Zkoušel jsem to Synapticem přeinstalovat, ale jen to vynutilo stahovat nějaké jaderné soubory, nevím, co se tam provádělo.
Navíc to strašně pomalu najíždí, dřív to najelo za 0.5s, teď asi 5 sekund, katastrofa.
Verze audacity 2.3.3. (před i po reinstalaci synapticem). Na webu je už verze 2.4.2, ale nevím, jak ji nainstalovat a jestli to má smysl.
Verze XUBUNTU 20.4.
Přechod z 18.4 na 20.4. přinesl jen problémy, žádný přínos :(

Přechod byl upgrade (povýšení) nebo čistá instalace 20.04 ??
Pokud to první, pak se nediv.... :-\
A proč vůbec přecházíš na neodladěnou 20.04 když 18.04.5 má podporu ještě tři roky?  Akorát si koleduješ (sis vykoledoval, jak sám vidíš) o problémy... :-\
-------------------------------------------------------------------------
1. Zkus audacity ukončit (pokud běží) a pak smáznout profil s nastavením, tj. složku:
Kód: [Vybrat]
~/.audacity-data
A znovu audacity spustit.

2. Pokud nepomůže, tak audacity odinstaluj a zkus nainstalovat jako snap:
Kód: [Vybrat]
sudo apt-get remove audacity
sudo snap install audacity --classic

Nainstaluje se "snap" verze 2.4.2  Nicméně u ní je poznámka "extremely buggy", takže uvidíš, jak se to bude chovat...
Pokud opět špatně, tak to odinstaluj:
Kód: [Vybrat]
sudo snap remove audacity
a nainstaluj verzi z neoficiálního PPA:
Kód: [Vybrat]
sudo add-apt-repository ppa:ubuntuhandbook1/audacity
sudo apt-get install audacity

Nainstaluje se verze 2.4.1 - ta už by měla "chodit" bez problému.... ;)
« Poslední změna: 02 Prosinec 2020, 21:09:16 od juwa2 »

roj

  • Člen
  • **
  • Příspěvků: 289
    • Zobrazit profil
    • ipsace i tiskace
Re:Audacity přestala fungovat
« Odpověď #2 kdy: 02 Prosinec 2020, 21:37:19 »
Jednička nepomohla, taxem udělal ten snap a v konsoli je napsáno
Varování: příznak --classic ignorován pro striktně omezený snap audacity.

A nemám žádnou asociaci na Audacity a když jsem chtěl otevřít soubor mp3, píše mi že ten soubor, který otvírám, nelze nalézt
Budiž.

Takže zatím nulový pokrok. Jinak vůbec mi nejde o to, abych měl poslední audacity. Chci jakoukoliv verzi, která bude fungovat.
Xubuntu 18.4.

juwa2

  • Závislák
  • ****
  • Příspěvků: 4329
    • Zobrazit profil
Re:Audacity přestala fungovat
« Odpověď #3 kdy: 02 Prosinec 2020, 22:15:31 »
Jednička nepomohla, taxem udělal ten snap a v konsoli je napsáno
Varování: příznak --classic ignorován pro striktně omezený snap audacity.

A nemám žádnou asociaci na Audacity a když jsem chtěl otevřít soubor mp3, píše mi že ten soubor, který otvírám, nelze nalézt
Budiž.

Takže zatím nulový pokrok. Jinak vůbec mi nejde o to, abych měl poslední audacity. Chci jakoukoliv verzi, která bude fungovat.

1. A bez toho parametru (--classic) to nainstalovat lze?
2. A co instalace z neoffic. PPA??

Asociace (jakýchkoli souborů) je až věc následná...

roj

  • Člen
  • **
  • Příspěvků: 289
    • Zobrazit profil
    • ipsace i tiskace
Re:Audacity přestala fungovat
« Odpověď #4 kdy: 02 Prosinec 2020, 22:32:55 »
Když jsem to chtěl odinstalovat
Kód: [Vybrat]
$ sudo apt-get remove audacitynapsalo to
Kód: [Vybrat]
Balík „audacity“ není nainstalován, nelze tedy odstranit
Následující balíky byly nainstalovány automaticky a již nejsou potřeba:
  audacity-data element-desktop libcrystalhd3 libflac++6v5 libid3tag0
  libportsmf0v5 libsqlcipher0 libsuil-0-0 libvamp-hostsdk3v5
  linux-headers-5.4.0-53 linux-headers-5.4.0-53-generic
  linux-image-5.4.0-53-generic linux-modules-5.4.0-53-generic
  linux-modules-extra-5.4.0-53-generic python3-scour riot-desktop scour
Pro jejich odstranění použijte „sudo apt autoremove“.
Mám dát ten autoremove?
A jak teď dál?
Mezitím jsem si stáhl a bez problémů nainstaloval Audacity na vedlejší starý poč s W7. Takže to můžu jít dělat na historický komp s historickým OS, ale přijde mi to trochu... divné. :)

Xubuntu 18.4.

juwa2

  • Závislák
  • ****
  • Příspěvků: 4329
    • Zobrazit profil
Re:Audacity přestala fungovat
« Odpověď #5 kdy: 02 Prosinec 2020, 22:40:53 »
Když jsem to chtěl odinstalovat
Kód: [Vybrat]
$ sudo apt-get remove audacitynapsalo to
Kód: [Vybrat]
Balík „audacity“ není nainstalován, nelze tedy odstranit
Následující balíky byly nainstalovány automaticky a již nejsou potřeba:
  audacity-data element-desktop libcrystalhd3 libflac++6v5 libid3tag0
  libportsmf0v5 libsqlcipher0 libsuil-0-0 libvamp-hostsdk3v5
  linux-headers-5.4.0-53 linux-headers-5.4.0-53-generic
  linux-image-5.4.0-53-generic linux-modules-5.4.0-53-generic
  linux-modules-extra-5.4.0-53-generic python3-scour riot-desktop scour
Pro jejich odstranění použijte „sudo apt autoremove“.
Mám dát ten autoremove?
A jak teď dál?
Mezitím jsem si stáhl a bez problémů nainstaloval Audacity na vedlejší starý poč s W7. Takže to můžu jít dělat na historický komp s historickým OS, ale přijde mi to trochu... divné. :)

No, když není (přes apt) nainstalován, pochopitelně není co (přes apt) odstranit....
Takže to máš (momentálně nainstalované) přes snap.
Tj. proveď:
Kód: [Vybrat]
sudo snap remove audacity
sudo add-apt-repository ppa:ubuntuhandbook1/audacity
sudo apt-get install audacity

Hotovo.  ;)

Jo, a samozřejmě příkaz:
Kód: [Vybrat]
sudo apt-get autoremove
Nakonec zadej - odstraní/odinstaluje nepotřebné balíky... :)
« Poslední změna: 02 Prosinec 2020, 22:44:07 od juwa2 »

roj

  • Člen
  • **
  • Příspěvků: 289
    • Zobrazit profil
    • ipsace i tiskace
Re:Audacity přestala fungovat
« Odpověď #6 kdy: 02 Prosinec 2020, 22:57:17 »
Když jsem udělal to všechno, kde je
Kód: [Vybrat]
sudo apt-get install audacitya udělal ten autoremove, mám to zase v tom původním nefunkčním stavu. Čili grafické zobrazení stopy je nefunknčí ilustrací a nedá se s tím pracovat.
Xubuntu 18.4.

juwa2

  • Závislák
  • ****
  • Příspěvků: 4329
    • Zobrazit profil
Re:Audacity přestala fungovat
« Odpověď #7 kdy: 02 Prosinec 2020, 23:30:12 »
Když jsem udělal to všechno, kde je
Kód: [Vybrat]
sudo apt-get install audacitya udělal ten autoremove, mám to zase v tom původním nefunkčním stavu. Čili grafické zobrazení stopy je nefunknčí ilustrací a nedá se s tím pracovat.

Pak to ovšem teda odinstaluj:
Kód: [Vybrat]
sudo apt-get remove audacity
A použij appimage verzi
(= stáhni > nastav spustitelnost a spusť (dvojklikem).

Pokud ani potom to nebude funkční >> vrať se pokorně na 18.04..... :-\

roj

  • Člen
  • **
  • Příspěvků: 289
    • Zobrazit profil
    • ipsace i tiskace
Re:Audacity přestala fungovat
« Odpověď #8 kdy: 02 Prosinec 2020, 23:40:56 »
Appimage funguje.
Kam ji mám dát, aby ji mohli používat všichni uživatelé?

Ale stejně je to k pos... OS SW funguje bez problému na widlích a nefunguje na linuxu :(
Xubuntu 18.4.

juwa2

  • Závislák
  • ****
  • Příspěvků: 4329
    • Zobrazit profil
Re:Audacity přestala fungovat
« Odpověď #9 kdy: 02 Prosinec 2020, 23:46:45 »
Appimage funguje.
Kam ji mám dát, aby ji mohli používat všichni uživatelé?

Ale stejně je to k pos... OS SW funguje bez problému na widlích a nefunguje na linuxu :(

Soubor .AppImage můžeš dát kam chceš. Nicméně aby fungoval pro všechny uživatele, dej ho do složky
Kód: [Vybrat]
/usr/bina nastav mu patřičná práva (777):
Kód: [Vybrat]
sudo chown user:user /usr/bin/Audacity.AppImage
sudo chmod 777 /usr/bin/Audacity.AppImage

A doufám, že je ti jasné, že to funguje pouze díky nižší verzi (audacity) = autoři (audacity) to pěkně "pokakali".... :-[
Obzvláště pokud není funkční ani snap verze, což je docela na pováženou...

Nicméně bych chtěl ještě upozornit na určitou (neochotu či snad neznalost) tazatele odpovědět na můj doplňující dotaz z 2.12. 2020  20:43:34....
Vzhledem k tomu, že se podobné případy množí jako žížaly po dešti, nebudu na ně již reagovat, obzvláště pokud nebude jednoznačně zřejmý = (opravdový) zájem tazatele na zodpovězení dané otázky.... Na to mám jako "odpovídatel" samozřejmě plné právo... ;D
« Poslední změna: 03 Prosinec 2020, 00:35:20 od juwa2 »

roj

  • Člen
  • **
  • Příspěvků: 289
    • Zobrazit profil
    • ipsace i tiskace
Re:Audacity přestala fungovat
« Odpověď #10 kdy: 03 Prosinec 2020, 07:47:29 »
Nicméně bych chtěl ještě upozornit na určitou (neochotu či snad neznalost) tazatele odpovědět na můj doplňující dotaz z 2.12. 2020  20:43:34....
Vzhledem k tomu, že se podobné případy množí jako žížaly po dešti, nebudu na ně již reagovat, obzvláště pokud nebude jednoznačně zřejmý = (opravdový) zájem tazatele na zodpovězení dané otázky.... Na to mám jako "odpovídatel" samozřejmě plné právo... ;D
Jako na dotaz Proč přecházím na 20.4? Protože mi nikdo neřekl, že je to kravina.
Xubuntu 18.4.

roj

  • Člen
  • **
  • Příspěvků: 289
    • Zobrazit profil
    • ipsace i tiskace
Re:Audacity přestala fungovat
« Odpověď #11 kdy: 03 Prosinec 2020, 08:24:41 »
takže jsem to prdl do toho /usr/bin
a zadal
Kód: [Vybrat]
/usr/bin/Audacity-2.1.2.glibc2.15-x86_64.AppImageA píše to spoustu hlášek
Kód: [Vybrat]
(zenity:15704): Gtk-WARNING **: 08:19:15.384: Theme parsing error: gtk.css:27:35: Junk at end of value for background-color

(zenity:15704): Gtk-WARNING **: 08:19:15.384: Theme parsing error: gtk.css:40:48: Junk at end of value for background-color

(zenity:15704): Gtk-WARNING **: 08:19:15.384: Theme parsing error: gtk.css:48:46: Junk at end of value for background-color

(zenity:15704): Gtk-WARNING **: 08:19:15.384: Theme parsing error: gtk.css:59:58: Junk at end of value for background-color

(zenity:15704): Gtk-WARNING **: 08:19:15.384: Theme parsing error: gtk.css:66:28: The :prelight pseudo-class is deprecated. Use :hover instead.

(zenity:15704): Gtk-WARNING **: 08:19:15.384: Theme parsing error: gtk.css:70:46: Junk at end of value for background-color

(zenity:15704): Gtk-WARNING **: 08:19:15.384: Theme parsing error: gtk.css:77:35: The :prelight pseudo-class is deprecated. Use :hover instead.

(zenity:15704): Gtk-WARNING **: 08:19:15.384: Theme parsing error: gtk.css:81:58: Junk at end of value for background-color

a na desktopu na mě vybaflo okno
Should a desktop file for /usr/bin/Audacity-2.1.2.glibc2.15-x86_64.AppImage be installed?
Ne / Ano

Teď se bojím na něco kliknout :)

Předtím jsem to spuštěl z grafického průzkumníla pravým myšítkem a to šlo. Když to bylo v /home/user/stažené.

Xubuntu 18.4.

juwa2

  • Závislák
  • ****
  • Příspěvků: 4329
    • Zobrazit profil
Re:Audacity přestala fungovat
« Odpověď #12 kdy: 04 Prosinec 2020, 16:47:20 »
takže jsem to prdl do toho /usr/bin
a zadal
Kód: [Vybrat]
/usr/bin/Audacity-2.1.2.glibc2.15-x86_64.AppImageA píše to spoustu hlášek
Kód: [Vybrat]
(zenity:15704): Gtk-WARNING **: 08:19:15.384: Theme parsing error: gtk.css:27:35: Junk at end of value for background-color

(zenity:15704): Gtk-WARNING **: 08:19:15.384: Theme parsing error: gtk.css:40:48: Junk at end of value for background-color

(zenity:15704): Gtk-WARNING **: 08:19:15.384: Theme parsing error: gtk.css:48:46: Junk at end of value for background-color

(zenity:15704): Gtk-WARNING **: 08:19:15.384: Theme parsing error: gtk.css:59:58: Junk at end of value for background-color

(zenity:15704): Gtk-WARNING **: 08:19:15.384: Theme parsing error: gtk.css:66:28: The :prelight pseudo-class is deprecated. Use :hover instead.

(zenity:15704): Gtk-WARNING **: 08:19:15.384: Theme parsing error: gtk.css:70:46: Junk at end of value for background-color

(zenity:15704): Gtk-WARNING **: 08:19:15.384: Theme parsing error: gtk.css:77:35: The :prelight pseudo-class is deprecated. Use :hover instead.

(zenity:15704): Gtk-WARNING **: 08:19:15.384: Theme parsing error: gtk.css:81:58: Junk at end of value for background-color

a na desktopu na mě vybaflo okno
Should a desktop file for /usr/bin/Audacity-2.1.2.glibc2.15-x86_64.AppImage be installed?
Ne / Ano

Teď se bojím na něco kliknout :)

Předtím jsem to spuštěl z grafického průzkumníla pravým myšítkem a to šlo. Když to bylo v /home/user/stažené.

Samozřejmě klikni na "Ano".  Bude vytvořen spouštěč Audacity v Aplikacích kterým ho můžeš normálně spouštět (jako spouštíš ostatní aplikace).  Nebo si samozřejmě můžeš spouštěč (soubor .desktop) vytvořit ručně sám, postup je stejný jako u kterékoli jiné aplikace....

Těch W hlášek v terminálu si nevšímej....
« Poslední změna: 04 Prosinec 2020, 17:00:36 od juwa2 »

roj

  • Člen
  • **
  • Příspěvků: 289
    • Zobrazit profil
    • ipsace i tiskace
Re:Audacity přestala fungovat
« Odpověď #13 kdy: 05 Prosinec 2020, 18:46:04 »
Už to funguje. Sice starší verze, ale celkem vpoho ;)
Xubuntu 18.4.